Overview
POST
/chat/chat-mentionschatCreate chat_mentions
Create a record in chat-mentions.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- messageIdstring
- mentionedParticipantIdstring
Example
{
"ecosystemId": "string",
"messageId": "string",
"mentionedParticipantId": "string"
}Responses
201
chat_mentions
- idstring
- ecosystemIdstring
- messageIdstring
- mentionedParticipantIdstring
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"messageId": "string",
"mentionedParticipantId": "string",
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/chat/chat-mentions" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"messageId": "string",
"mentionedParticipantId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-mentions", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"messageId\": \"string\",\n \"mentionedParticipantId\": \"string\"\n}",
});
const data = await res.json();